SDL_HapticID(3type)

NAME
SDL_HapticID - This is a unique ID for a haptic device for the time it is connected to the system, and is never reused for the lifetime of the application.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef Uint32 SDL_HapticID;

DESCRIPTION
If the haptic device is disconnected and reconnected, it will get a new ID. The ID value starts at 1 and increments from there. The value 0 is an invalid ID.

AVAILABILITY
This datatype is available since SDL 3.0.0.